Class | Haml::Error
In: | lib/haml/error.rb
Parent: | StandardError

An exception raised by Haml code.

### Methods

new

### Attributes

line | [R] | The line of the template on which the error occurred. @return [Fixnum]

### Public Class methods

new(message = nil, line = nil)

@param message [String] The error message @param line [Fixnum] See \{line}

[Source]

        # File lib/haml/error.rb, line 11
    11:     def initialize(message = nil, line = nil)
    12:       super(message)
    13:       @line = line
    14:     end

[Validate]